Bug 223257 - org.netbeans.api.project.ProjectUtils$AnnotateIconProxyProjectInformation.annotatorsChanged: LowPerformance took 4256 ms.
org.netbeans.api.project.ProjectUtils$AnnotateIconProxyProjectInformation.ann...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Libraries
7.3
All All
: P3 (vote)
: 7.4
Assigned To: Tomas Zezula
issues@projects
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-04 13:56 UTC by Petr Jiricka
Modified: 2013-07-05 02:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (211.79 KB, application/nps)
2012-12-04 13:56 UTC, Petr Jiricka
Details
screenshot (211.50 KB, image/png)
2012-12-04 14:33 UTC, Milos Kleint
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2012-12-04 13:56:35 UTC
Build: NetBeans IDE Dev (Build web-main-9424-on-20121204)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.6-b04, Java(TM) SE Runtime Environment, 1.7.0_10-ea-b15
OS: Mac OS X

User Comments:
GUEST: 1. start new project -> php
2. typed echo "hello world";

pjiricka: Creating HTML5 project from template.



Maximum slowness yet reported was 7254 ms, average is 4719
Comment 1 Petr Jiricka 2012-12-04 13:56:41 UTC
Created attachment 128838 [details]
nps snapshot
Comment 2 Milos Kleint 2012-12-04 14:33:33 UTC
Created attachment 128840 [details]
screenshot

the generic project code is triggered by a file write in AWT, which should not be happening. multiple possible culprits marked on the screenshot.
Comment 3 Milos Kleint 2012-12-04 14:34:29 UTC
moving to project/libraries, that the code directly calling the file writing operation. please evaluate or more up the stack.
Comment 4 Tomas Zezula 2013-07-03 12:26:19 UTC
In fact the report from comment #2 reported by pjiricka is completely different from others (waiting in ProjectUtils.getInformation()). I've split it into different report.
Comment 5 Tomas Zezula 2013-07-03 15:15:52 UTC
After heroic fight with ergonomics I was able to find out a workaround.
Fixed jet-main 8b0f93e00883
Comment 6 Quality Engineering 2013-07-05 02:25:08 UTC
Integrated into 'main-silver', will be available in build *201307042300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/8b0f93e00883
User: Tomas Zezula <tzezula@netbeans.org>
Log: #223257:org.netbeans.api.project.ProjectUtils$AnnotateIconProxyProjectInformation.annotatorsChanged: LowPerformance took 4256 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo